from flask import Flask
import os
from dotenv import load_dotenv

basedir = os.path.abspath(os.path.dirname(__file__))
load_dotenv(os.path.join(basedir, '.env'))

app = Flask(__name__)
app.config['MICROSOFT_TEXT_ANALYTICS_KEY'] = os.environ.get('MICROSOFT_TEXT_ANALYTICS_KEY') or ''
app.config['MICROSOFT_TEXT_ANALYTICS_URI'] = os.environ.get('MICROSOFT_TEXT_ANALYTICS_URI') or 'http://localhost'

from app import routes