function onSendToServer() {
  var text = document.getElementById("txtInput").value;
  var out = document.getElementById("result");
  var btn = document.getElementById("btnSend");
  var raw = document.getElementById("raw");
  var chkApi = document.getElementById("useAPI");

  entry = {
    text: text,
  };

  btn.disabled = true;
  btn.innerHTML = '<span class="sr-only">Loading please wait..</span>';
  out.innerHTML = "";
  raw.innerHTML = "";

  url = "";

  if (chkApi.checked) {
    url = "/analyze-api";
  } else {
    url = "/analyze-sdk";
  }

  fetch(url, {
    method: "POST",
    body: JSON.stringify(entry),
    cache: "no-cache",
    headers: new Headers({
      "content-type": "application/json",
    }),
  })
    .then(function (response) {
      btn.disabled = false;
      btn.innerHTML = '<span class="sr-only">Review</span>';
      response.json().then(function (data) {
        var err = data["error"];
        if (err) {
          out.innerHTML = "Error fetching data : " + err["message"];
        } else {
          setSentiment(data, out, raw);
        }
      });
    })
    .catch(function (error) {
      out.innerHTML = "Error while fetching the data";
      btn.disabled = false;
      btn.innerHTML = '<span class="sr-only">Review</span>';
    });
}

function setSentiment(data, out, raw) {
  var sentiment = data["sentiment"];
  if (sentiment == "neutral") {
    out.innerHTML =
      "The above sounds, <span class='text-primary'>Neutral</span> to me.";
  } else if (sentiment == "positive") {
    out.innerHTML =
      "It sounds pretty <span class='text-success'>Positive</span>.";
  } else if (sentiment == "negative") {
    out.innerHTML =
      "Too bad, I sense <span class='text-danger'>Negative</span> sentiment.";
  } else {
    out.innerHTML =
      "You know what? I have <span class='text-warning'>Mixed</span> feelings.";
  }
  raw.innerHTML = JSON.stringify(data, null, 2);
}
